#1536 Screen turns black when pressing Prt Sc Key

1.1
open
nobody
None
none
5
2013-12-18
2013-07-06
JudyDi
No
1 up votes | 0 down votes | 100%
8 comments

When pressing Prt Sc Key, entire screen turns black and the only thing showing is the cross-hair. I can move it around,and when identifying an area, the normal screen returns but the area identified is totally black. Whenever I get this result, the only thing that solves it is rebooting the machine. Not an acceptable choice.

Related

Bugs: #1536

Discussion

  • Robin Krom
    Robin Krom
    2013-07-19

    Sorry about the delay, I overlooked this issue.

    We have seen a couple of issues (not many) were something like this was caused by a problem with the Graphics-drivers maybe you can check if there is an update available?

    If this doesn't help, can you supply us with a bit more information?

    Windows Version
    Greenshot Version
    .NET Version
    Graphics-card & driver version

    Does this always happen? Or only after using Greenshot for a while?

    Best wishes,
    Robin

     
    • Thomas Seaford
      Thomas Seaford
      2013-12-17

      I also am having this issue. For me, it is not limited to the print screen button but also happens when using options from the context menu of the "G" in the notification bar. My graphics drivers appear to be up to date.

      I am running W7 64bit with Greenshot 1.1.6 build 2779 64bit with .NET 4.5 and a Mobile Intel 9656 Express Chipset graphics driver v 8.15.10.1930.

      For me it appears to be random. Some times it happens even if I haven't been running GS for long. Other times, like today, my computer has been sleeping, rather than being completely turned off, for a few days.

       
      • JudyDi
        JudyDi
        2013-12-17

        Hi Thomas,
        I have a W7 64-bit also. My Greenshot version is same as yours. We run 5 machines and the problem seems to only be on mine. I”v also installed it on other’s machines and have had no reports of problems. I’m leaning toward the fact that it might be the 64-bit that’s the problem, because the other machines are only 32 bit. I have sent more than one bug complaint to Greenshot but they have been no help. Like you, it happens randomly. Sometimes, as this morning, almost immediately after booting up. The only thing previous to this happening was reading email.

        JudyDi

        From: Thomas Seaford
        Sent: Tuesday, December 17, 2013 9:19 AM
        To: [greenshot:bugs]
        Subject: [greenshot:bugs] Re: #1536 Screen turns black when pressing Prt Sc Key

        I also am having this issue. For me, it is not limited to the print screen button but also happens when using options from the context menu of the "G" in the notification bar. My graphics drivers appear to be up to date.

        I am running W7 64bit with Greenshot 1.1.6 build 2779 64bit with .NET 4.5 and a Mobile Intel 9656 Express Chipset graphics driver v 8.15.10.1930.

        For me it appears to be random. Some times it happens even if I haven't been running GS for long. Other times, like today, my computer has been sleeping, rather than being completely turned off, for a few days.


        [bugs:#1536] Screen turns black when pressing Prt Sc Key

        Status: open
        Created: Sat Jul 06, 2013 08:03 PM UTC by JudyDi
        Last Updated: Tue Dec 17, 2013 04:00 PM UTC
        Owner: nobody

        When pressing Prt Sc Key, entire screen turns black and the only thing showing is the cross-hair. I can move it around,and when identifying an area, the normal screen returns but the area identified is totally black. Whenever I get this result, the only thing that solves it is rebooting the machine. Not an acceptable choice.


        Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/greenshot/bugs/1536/

        To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

         
        • Thomas Seaford
          Thomas Seaford
          2013-12-17

          I just noticed that there is a more recent version (1.1.7.17). I updated and it APPEARS to have fixed the problem. But, as we have already discussed, it happens randomly so I cannot definitively say. I would recommend that you update as well.

           
          • JudyDi
            JudyDi
            2013-12-17

            Thanks for the lead. I surely will.
            JudyDi

            From: Thomas Seaford
            Sent: Tuesday, December 17, 2013 11:02 AM
            To: [greenshot:bugs]
            Subject: [greenshot:bugs] Re: #1536 Screen turns black when pressing Prt Sc Key

            I just noticed that there is a more recent version (1.1.7.17). I updated and it APPEARS to have fixed the problem. But, as we have already discussed, it happens randomly so I cannot definitively say. I would recommend that you update as well.


            [bugs:#1536] Screen turns black when pressing Prt Sc Key

            Status: open
            Created: Sat Jul 06, 2013 08:03 PM UTC by JudyDi
            Last Updated: Tue Dec 17, 2013 04:00 PM UTC
            Owner: nobody

            When pressing Prt Sc Key, entire screen turns black and the only thing showing is the cross-hair. I can move it around,and when identifying an area, the normal screen returns but the area identified is totally black. Whenever I get this result, the only thing that solves it is rebooting the machine. Not an acceptable choice.


            Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/greenshot/bugs/1536/

            To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

             
            Attachments
          • JudyDi
            JudyDi
            2013-12-18

            With the new install. The BLACK is back.
            JD

            From: Thomas Seaford
            Sent: Tuesday, December 17, 2013 11:02 AM
            To: [greenshot:bugs]
            Subject: [greenshot:bugs] Re: #1536 Screen turns black when pressing Prt Sc Key

            I just noticed that there is a more recent version (1.1.7.17). I updated and it APPEARS to have fixed the problem. But, as we have already discussed, it happens randomly so I cannot definitively say. I would recommend that you update as well.


            [bugs:#1536] Screen turns black when pressing Prt Sc Key

            Status: open
            Created: Sat Jul 06, 2013 08:03 PM UTC by JudyDi
            Last Updated: Tue Dec 17, 2013 04:00 PM UTC
            Owner: nobody

            When pressing Prt Sc Key, entire screen turns black and the only thing showing is the cross-hair. I can move it around,and when identifying an area, the normal screen returns but the area identified is totally black. Whenever I get this result, the only thing that solves it is rebooting the machine. Not an acceptable choice.


            Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/greenshot/bugs/1536/

            To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

             

            Related

            Bugs: #1536

            Attachments
  • JudyDi
    JudyDi
    2013-07-19

    Thank you for getting back to me.

    My Video Driver says it is up to date:

    Greenshot

    Windows Version

    .Net

    As you can see, it worked fine this time, but I just turned on the machine this morning and have done nothing yet but check mail. Sometimes it works once or twice and the very next try I get that black screen. It’s not necessarily after using Greenshot for a while, because most the time when it happens it would be the first time I used it that day. I use my system a lot. It is on all day, but as you can see, there is plenty of memory, etc.

    Thanks for addressing this issue.

    Judy DiFrancesco

    From: Robin Krom
    Sent: Friday, July 19, 2013 6:56 AM
    To: [greenshot:bugs]
    Subject: [greenshot:bugs] #1536 Screen turns black when pressing Prt Sc Key

    Sorry about the delay, I overlooked this issue.

    We have seen a couple of issues (not many) were something like this was caused by a problem with the Graphics-drivers maybe you can check if there is an update available?

    If this doesn't help, can you supply us with a bit more information?

    Windows Version
    Greenshot Version
    .NET Version
    Graphics-card & driver version

    Does this always happen? Or only after using Greenshot for a while?

    Best wishes,
    Robin


    [bugs:#1536] Screen turns black when pressing Prt Sc Key

    Status: open
    Created: Sat Jul 06, 2013 08:03 PM UTC by JudyDi
    Last Updated: Sat Jul 06, 2013 08:03 PM UTC
    Owner: nobody

    When pressing Prt Sc Key, entire screen turns black and the only thing showing is the cross-hair. I can move it around,and when identifying an area, the normal screen returns but the area identified is totally black. Whenever I get this result, the only thing that solves it is rebooting the machine. Not an acceptable choice.


    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/greenshot/bugs/1536/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #1536

  • Robin Krom
    Robin Krom
    2013-12-18

    I'm pretty sure it's a combination of the graphics driver and the way we capture the screen (GDI). As GDI from my perspective is obsolete, I will look at other ways to capture the screen.

    This will take a while though, so I also have to look at a solution for this.

    It will help if other people report their problems and supply us with the following information:
    1) Windows version including 32/64 bit
    2) Greenshot verdion
    3) way of capturing
    4) graphics card information (brand, type, memory, driver version)
    5) are there any other programs running in the background? Desktop managers, or other utilities.
    Including anyrhing else they might find different about their setup...

    Maybe we can find what the issue is.

    Best wishes,
    Robin

     
    • JudyDi
      JudyDi
      2013-12-18

      Have previously looked for a graphics driver update. The problem shows up randomly. Sometimes right after I start the machine. Sometimes it works several times in a row and then the black screen shows up. Installed the newest version of Greenshot today, and the black screen showed up the 2nd time I tried to use it. It doesn’t matter whether I have other programs open or not. I love this program but it is so disheartening when it acts up.

      I’m attaching my Belarc file. You can see my machine’s whole story there.

      JudyDi

      From: Robin Krom
      Sent: Wednesday, December 18, 2013 12:01 AM
      To: [greenshot:bugs]
      Subject: [greenshot:bugs] #1536 Screen turns black when pressing Prt Sc Key

      I'm pretty sure it's a combination of the graphics driver and the way we capture the screen (GDI). As GDI from my perspective is obsolete, I will look at other ways to capture the screen.

      This will take a while though, so I also have to look at a solution for this.

      It will help if other people report their problems and supply us with the following information:
      1) Windows version including 32/64 bit
      2) Greenshot verdion
      3) way of capturing
      4) graphics card information (brand, type, memory, driver version)
      5) are there any other programs running in the background? Desktop managers, or other utilities.
      Including anyrhing else they might find different about their setup...

      Maybe we can find what the issue is.

      Best wishes,
      Robin


      [bugs:#1536] Screen turns black when pressing Prt Sc Key

      Status: open
      Created: Sat Jul 06, 2013 08:03 PM UTC by JudyDi
      Last Updated: Tue Dec 17, 2013 04:00 PM UTC
      Owner: nobody

      When pressing Prt Sc Key, entire screen turns black and the only thing showing is the cross-hair. I can move it around,and when identifying an area, the normal screen returns but the area identified is totally black. Whenever I get this result, the only thing that solves it is rebooting the machine. Not an acceptable choice.


      Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/greenshot/bugs/1536/

      To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #1536